global function angelLightPrecache
global function angelLightUI

void function angelLightUI(){
	#if UI
		#if RWYN_HAS_LOADSCREEN && RWYN_HAS_NC
			printt("[RWYN.NC] Player has the mod properly installed!")
            #if RWYN_HAS_NSFW
                thread oldVersionDiagInit()
            #endif
		#else
			thread installDiagInit()
		#endif
	#endif
}

#if UI

void function installDiagInit(){
    WaitFrame()
    installDiag()
}

void function installDiag(){
    DialogData errorPopUp
    errorPopUp.header = "CORRUPTED INSTALLATION DETECTED"
    errorPopUp.message = "Night City mod may have been installed with a Mod Manager.\n\nFor now, it has to be installed manually, please uninstall your current version and follow the instructions in the mod's description.\n\nIf this error persists after a proper installation;\n• Make sure you have all of the specified folders,\n• Delete ''enabledmods.json'' from ''Titanfall2\\R2Northstar'',\n• Restart the game.\n\nA side note: If you use VTOL, make sure you have the latest version. Newer versions have no such problems with mod installations."
    errorPopUp.image = $"ui/menu/common/dialog_error"
    AddDialogButton(errorPopUp, "Exit", void function(){ ClientCommand("exit") })
    AddDialogButton(errorPopUp, "Reinstall", void function(){
        LaunchExternalWebBrowser("https://northstar.thunderstore.io/package/Rwyn/Night_City/", WEBBROWSER_FLAG_FORCEEXTERNAL)
        installDiag()
    })
    OpenDialog(errorPopUp)
}

void function oldVersionDiagInit(){
    WaitFrame()
    oldVersionDiag()
}

void function oldVersionDiag(){
    DialogData errorPopUp
    errorPopUp.header = "DEPRECATED MOD FILES DETECTED"
    errorPopUp.message = "I see you're still using a very old version of Night City which may cause compatibility issues with the new version.\n\nNight City mod does NOT have an NSFW version anymore and the SFW one has been deprecated. But don't worry you don't need nudity to have fun, all textures reworked with the final version and it's visually the best version so far.\n\nSo in short, this (final - v2.0.0) version contains no nudity at all and is the one and ONLY version that exists from now on.\n\n• HOW TO FIX IT?\nSimply uninstall the old one by navigating to your ''mods'' folder and deleting the \"Rwyn.NightCity.NSFW\" folder, then launch the game again."
    errorPopUp.image = $"ui/menu/common/dialog_error"
    AddDialogButton(errorPopUp, "Exit", void function(){ ClientCommand("exit") })
    OpenDialog(errorPopUp)
}

#endif

void function angelLightPrecache(){
	#if CLIENT
    PrecacheParticleSystem($"dtake_sky_main")
	PrecacheParticleSystem($"dtake_sky_vortex")
    AddCallback_EntitiesDidLoad(angelLightMap)
	#endif
}

#if CLIENT

void function angelLightMap(){
    string mapName = GetMapName()
    if(mapName == "mp_angel_city")
		GetLocalClientPlayer().ClientCommand("mat_sun_color 0")
    else{
           GetLocalClientPlayer().ClientCommand("mat_sun_color 0 0 0 0")
    }
}

#endif